Get Data Jobs
curl --request GET \
--url https://flow.seekr.com/v1/flow/data-jobs \
--header 'Authorization: <api-key>'import requests
url = "https://flow.seekr.com/v1/flow/data-jobs"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://flow.seekr.com/v1/flow/data-jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flow.seekr.com/v1/flow/data-jobs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://flow.seekr.com/v1/flow/data-jobs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://flow.seekr.com/v1/flow/data-jobs")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://flow.seekr.com/v1/flow/data-jobs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"object": "list",
"data": [
{
"id": "<string>",
"user_id": "<string>",
"name": "<string>",
"job_type": "<string>",
"alignment_job_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"status": "file_processing",
"origin_data_job_id": "<string>",
"deleted": false,
"status_message": "<string>",
"system_prompt": "<string>",
"system_prompt_updated_at": "2023-11-07T05:31:56Z",
"instructions": "<string>",
"instructions_updated_at": "2023-11-07T05:31:56Z",
"resolved_instructions": "<string>",
"vector_database_id": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}List data jobs
Retrieve a list of all data jobs.
GET
/
v1
/
flow
/
data-jobs
Get Data Jobs
curl --request GET \
--url https://flow.seekr.com/v1/flow/data-jobs \
--header 'Authorization: <api-key>'import requests
url = "https://flow.seekr.com/v1/flow/data-jobs"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://flow.seekr.com/v1/flow/data-jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flow.seekr.com/v1/flow/data-jobs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://flow.seekr.com/v1/flow/data-jobs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://flow.seekr.com/v1/flow/data-jobs")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://flow.seekr.com/v1/flow/data-jobs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"object": "list",
"data": [
{
"id": "<string>",
"user_id": "<string>",
"name": "<string>",
"job_type": "<string>",
"alignment_job_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"status": "file_processing",
"origin_data_job_id": "<string>",
"deleted": false,
"status_message": "<string>",
"system_prompt": "<string>",
"system_prompt_updated_at": "2023-11-07T05:31:56Z",
"instructions": "<string>",
"instructions_updated_at": "2023-11-07T05:31:56Z",
"resolved_instructions": "<string>",
"vector_database_id": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Returns a paginated list of all data jobs.
For filter and sort parameters, see Manage data jobs.
Authorizations
Your Seekr API key, sent in the Authorization header with no 'Bearer' prefix.
Query Parameters
Filter by data job type. Valid job types for data jobs.
Available options:
principle_files, context_grounded_files, context_grounded_vector_db Field to sort the results by. Valid fields for sorting data jobs.
Available options:
name, created_at, job_type Direction to sort the results.
Pattern:
^(asc|desc)$Maximum number of results to return.
Required range:
1 <= x <= 100Number of results to skip.
Required range:
x >= 0Last modified on July 31, 2026
⌘I